| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
uiMPEMan Class Reference
uiVis

Dialog for tracking properties. More...

`#include <uimpeman.h>`

Inheritance diagram for uiMPEMan:
[legend]

## Public Member Functions
| uiMPEMan (uiParent *, uiVisPartServer *)
| ~uiMPEMan ()
void | deleteVisObjects ()
void | initFromDisplay ()
bool | isSeedPickingOn () const
bool | selectAttribForTracking ()
void | turnSeedPickingOn (bool)
void | validateSeedConMode ()
void | visObjectLockedCB (CallBacker *)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
void | beginSeedClickEvent (EM::EMObject *)
void | changeMode (int)
void | changePolySelectionMode ()
void | cleanPatchDisplay ()
void | clearSelection ()
void | deleteSelection ()
void | endSeedClickEvent (EM::EMObject *)
visSurvey::Horizon2DDisplay * | getSelected2DDisplay ()
visSurvey::HorizonDisplay * | getSelectedDisplay ()
visSurvey::EMObjectDisplay * | getSelectedEMDisplay ()
EM::Horizon * | getSelectedHorizon ()
EM::Horizon2D * | getSelectedHorizon2D ()
EM::Horizon3D * | getSelectedHorizon3D ()
MPE::EMTracker * | getSelectedTracker ()
void | handleAction (int)
bool | isPickingWhileSetupUp () const
void | keyEventCB (CallBacker *)
void | lockAll ()
void | mouseCursorCallCB (CallBacker *)
void | mouseEventCB (CallBacker *)
void | mpeActionCalledCB (CallBacker *)
void | mpeActionFinishedCB (CallBacker *)
void | planeChangedCB (CallBacker *)
int | popupMenu ()
void | redo ()
void | removeInPolygon ()
void | restrictCurrentHorizon ()
void | seedClick (CallBacker *)
void | setUndoLevel (const EM::ObjectID &, int preveventnr)
void | setUndoLevel (int)
void | showParentsPath ()
void | showSetupDlg ()
void | sowingFinishedCB (CallBacker *)
void | sowingModeCB (CallBacker *)
void | startRetrack ()
void | startTracking ()
void | startTrackingFromEdges ()
void | stopTracking ()
void | trackerAddedCB (CallBacker *)
void | trackFromSeedsAndEdges ()
void | trackFromSeedsOnly ()
void | treeItemSelCB (CallBacker *)
void | undo ()
void | updateClickCatcher (bool create=true)
void | updatePatchDisplay ()
void | updateSeedPickState ()
void | workAreaChgCB (CallBacker *)

## Protected Attributes
SceneID | clickablesceneid_
RefMan< visSurvey::MPEClickCatcher > | clickcatcher_
int | cureventnr_ = mUdf(int)
LockedDisplayTimer * | lockeddisplaytimer_
TrcKeyZSampling | oldactivevol_
uiParent * | parent_
bool | seedpickwason_ = false
bool | sowingmode_ = false
uiVisPartServer * | visserv_

## Friends
class | uiPropertiesDialog

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

Dialog for tracking properties.

<>

## Constructor & Destructor Documentation

## ◆ uiMPEMan()

uiMPEMan::uiMPEMan | ( | uiParent * | ,
|  | uiVisPartServer * | )

## ◆ ~uiMPEMan()

uiMPEMan::~uiMPEMan | ( |  | ) |

## Member Function Documentation

## ◆ beginSeedClickEvent()

void uiMPEMan::beginSeedClickEvent | ( | EM::EMObject * |  | ) |
| protected

## ◆ changeMode()

void uiMPEMan::changeMode | ( | int |  | ) |
| protected

## ◆ changePolySelectionMode()

void uiMPEMan::changePolySelectionMode | ( |  | ) |
| protected

## ◆ cleanPatchDisplay()

void uiMPEMan::cleanPatchDisplay | ( |  | ) |
| protected

## ◆ clearSelection()

void uiMPEMan::clearSelection | ( |  | ) |
| protected

## ◆ deleteSelection()

void uiMPEMan::deleteSelection | ( |  | ) |
| protected

## ◆ deleteVisObjects()

void uiMPEMan::deleteVisObjects | ( |  | ) |

## ◆ endSeedClickEvent()

void uiMPEMan::endSeedClickEvent | ( | EM::EMObject * |  | ) |
| protected

## ◆ getSelected2DDisplay()

visSurvey::Horizon2DDisplay * uiMPEMan::getSelected2DDisplay | ( |  | ) |
| protected

## ◆ getSelectedDisplay()

visSurvey::HorizonDisplay * uiMPEMan::getSelectedDisplay | ( |  | ) |
| protected

## ◆ getSelectedEMDisplay()

visSurvey::EMObjectDisplay * uiMPEMan::getSelectedEMDisplay | ( |  | ) |
| protected

## ◆ getSelectedHorizon()

EM::Horizon * uiMPEMan::getSelectedHorizon | ( |  | ) |
| protected

## ◆ getSelectedHorizon2D()

EM::Horizon2D * uiMPEMan::getSelectedHorizon2D | ( |  | ) |
| protected

## ◆ getSelectedHorizon3D()

EM::Horizon3D * uiMPEMan::getSelectedHorizon3D | ( |  | ) |
| protected

## ◆ getSelectedTracker()

MPE::EMTracker * uiMPEMan::getSelectedTracker | ( |  | ) |
| protected

## ◆ handleAction()

void uiMPEMan::handleAction | ( | int |  | ) |
| protected

## ◆ initFromDisplay()

void uiMPEMan::initFromDisplay | ( |  | ) |

## ◆ isPickingWhileSetupUp()

bool uiMPEMan::isPickingWhileSetupUp | ( |  | ) | const
| protected

## ◆ isSeedPickingOn()

bool uiMPEMan::isSeedPickingOn | ( |  | ) | const

## ◆ keyEventCB()

void uiMPEMan::keyEventCB | ( | CallBacker * |  | ) |
| protected

## ◆ lockAll()

void uiMPEMan::lockAll | ( |  | ) |
| protected

## ◆ mouseCursorCallCB()

void uiMPEMan::mouseCursorCallCB | ( | CallBacker * |  | ) |
| protected

## ◆ mouseEventCB()

void uiMPEMan::mouseEventCB | ( | CallBacker * |  | ) |
| protected

## ◆ mpeActionCalledCB()

void uiMPEMan::mpeActionCalledCB | ( | CallBacker * |  | ) |
| protected

## ◆ mpeActionFinishedCB()

void uiMPEMan::mpeActionFinishedCB | ( | CallBacker * |  | ) |
| protected

## ◆ planeChangedCB()

void uiMPEMan::planeChangedCB | ( | CallBacker * |  | ) |
| protected

## ◆ popupMenu()

int uiMPEMan::popupMenu | ( |  | ) |
| protected

## ◆ redo()

void uiMPEMan::redo | ( |  | ) |
| protected

## ◆ removeInPolygon()

void uiMPEMan::removeInPolygon | ( |  | ) |
| protected

## ◆ restrictCurrentHorizon()

void uiMPEMan::restrictCurrentHorizon | ( |  | ) |
| protected

## ◆ seedClick()

void uiMPEMan::seedClick | ( | CallBacker * |  | ) |
| protected

## ◆ selectAttribForTracking()

bool uiMPEMan::selectAttribForTracking | ( |  | ) |

## ◆ setUndoLevel() [1/2]

void uiMPEMan::setUndoLevel | ( | const EM::ObjectID & | ,
|  | int | preveventnr )
| protected

## ◆ setUndoLevel() [2/2]

void uiMPEMan::setUndoLevel | ( | int |  | ) |
| protected

## ◆ showParentsPath()

void uiMPEMan::showParentsPath | ( |  | ) |
| protected

## ◆ showSetupDlg()

void uiMPEMan::showSetupDlg | ( |  | ) |
| protected

## ◆ sowingFinishedCB()

void uiMPEMan::sowingFinishedCB | ( | CallBacker * |  | ) |
| protected

## ◆ sowingModeCB()

void uiMPEMan::sowingModeCB | ( | CallBacker * |  | ) |
| protected

## ◆ startRetrack()

void uiMPEMan::startRetrack | ( |  | ) |
| protected

## ◆ startTracking()

void uiMPEMan::startTracking | ( |  | ) |
| protected

## ◆ startTrackingFromEdges()

void uiMPEMan::startTrackingFromEdges | ( |  | ) |
| protected

## ◆ stopTracking()

void uiMPEMan::stopTracking | ( |  | ) |
| protected

## ◆ trackerAddedCB()

void uiMPEMan::trackerAddedCB | ( | CallBacker * |  | ) |
| protected

## ◆ trackFromSeedsAndEdges()

void uiMPEMan::trackFromSeedsAndEdges | ( |  | ) |
| protected

## ◆ trackFromSeedsOnly()

void uiMPEMan::trackFromSeedsOnly | ( |  | ) |
| protected

## ◆ treeItemSelCB()

void uiMPEMan::treeItemSelCB | ( | CallBacker * |  | ) |
| protected

## ◆ turnSeedPickingOn()

void uiMPEMan::turnSeedPickingOn | ( | bool |  | ) |

## ◆ undo()

void uiMPEMan::undo | ( |  | ) |
| protected

## ◆ updateClickCatcher()

void uiMPEMan::updateClickCatcher | ( | bool | create = true | ) |
| protected

## ◆ updatePatchDisplay()

void uiMPEMan::updatePatchDisplay | ( |  | ) |
| protected

## ◆ updateSeedPickState()

void uiMPEMan::updateSeedPickState | ( |  | ) |
| protected

## ◆ validateSeedConMode()

void uiMPEMan::validateSeedConMode | ( |  | ) |

## ◆ visObjectLockedCB()

void uiMPEMan::visObjectLockedCB | ( | CallBacker * |  | ) |

## ◆ workAreaChgCB()

void uiMPEMan::workAreaChgCB | ( | CallBacker * |  | ) |
| protected

## Friends And Related Symbol Documentation

## ◆ uiPropertiesDialog

friend class uiPropertiesDialog
| friend

## Member Data Documentation

## ◆ clickablesceneid_

SceneID uiMPEMan::clickablesceneid_
| protected

## ◆ clickcatcher_

RefMan<visSurvey::MPEClickCatcher> uiMPEMan::clickcatcher_
| protected

## ◆ cureventnr_

int uiMPEMan::cureventnr_ = mUdf(int)
| protected

## ◆ lockeddisplaytimer_

LockedDisplayTimer* uiMPEMan::lockeddisplaytimer_
| protected

## ◆ oldactivevol_

TrcKeyZSampling uiMPEMan::oldactivevol_
| protected

## ◆ parent_

uiParent* uiMPEMan::parent_
| protected

## ◆ seedpickwason_

bool uiMPEMan::seedpickwason_ = false
| protected

## ◆ sowingmode_

bool uiMPEMan::sowingmode_ = false
| protected

## ◆ visserv_

uiVisPartServer* uiMPEMan::visserv_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025